Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_encparams_t Struct Reference

`#include <dirac_encoder.h>`

List of all members.

## Public Attributes

- int lossless
- float qf
- int full_search
- int x_range_me
- int y_range_me
- int L1_sep
- int num_L1
- float cpd
- int xblen
- int yblen
- int xbsep
- int ybsep
- int video_format
- dirac_wlt_filter_t intra_wlt_filter
- dirac_wlt_filter_t inter_wlt_filter
- unsigned int wlt_depth
- unsigned int spatial_partition
- dirac_prefilter_t prefilter
- unsigned int prefilter_strength
- unsigned int multi_quants
- dirac_mvprecision_t mv_precision
- int trate
- unsigned int picture_coding_mode
- int using_ac

## Detailed Description

Structure that holds the encoder specific parameters

## Member Data Documentation

int dirac_encparams_t::lossless

Lossless coding

float dirac_encparams_t::qf

Quality factor

int dirac_encparams_t::full_search

Full-search motion estimation

int dirac_encparams_t::x_range_me

x-range for full search ME

int dirac_encparams_t::y_range_me

y-range for full search ME

int dirac_encparams_t::L1_sep

The separation between L1 frames

int dirac_encparams_t::num_L1

The number of L1 frames before the next intra frame. Together with L1_sep determines the GOP structure.

float dirac_encparams_t::cpd

Normalised viewing distance parameter, in cycles per degree

int dirac_encparams_t::xblen

The width of blocks used for motion compensation

int dirac_encparams_t::yblen

The height of blocks used for motion compensation

int dirac_encparams_t::xbsep

The horizontal separation between blocks. Always <xblen

int dirac_encparams_t::ybsep

The vertical separation between blocks. Always <yblen

int dirac_encparams_t::video_format

Video format preset

dirac_wlt_filter_t dirac_encparams_t::intra_wlt_filter

Transform filter for intra frames

dirac_wlt_filter_t dirac_encparams_t::inter_wlt_filter

Transform filter for inter frames

unsigned int dirac_encparams_t::wlt_depth

Transform depth

unsigned int dirac_encparams_t::spatial_partition

Spatial partitioning flag

dirac_prefilter_t dirac_encparams_t::prefilter

prefilter indicator

unsigned int dirac_encparams_t::prefilter_strength

prefilter strength

unsigned int dirac_encparams_t::multi_quants

Multiple quantisers flag

dirac_mvprecision_t dirac_encparams_t::mv_precision

motion-vector pixel precision

int dirac_encparams_t::trate

target bit rate in kbps

unsigned int dirac_encparams_t::picture_coding_mode

picture coding mode: 0 - frame coding; 1 - field coding

int dirac_encparams_t::using_ac

arithmetic coding flag: 0 - vlc coding; 1 - arithmetic coding

The documentation for this struct was generated from the following file:

- dirac_encoder.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.